[Pkg-cups-devel] Bug#451562: /usr/sbin/cupsd: cupsd uses Bonjour compatibility API of Avahi

Jö Fahlke jorrit at jorrit.de
Fri Nov 16 22:50:58 UTC 2007

Package: cupsys
Version: 1.3.2-1+lenny1
Severity: normal
File: /usr/sbin/cupsd

In my syslog I get the following warnings:
Nov 16 10:52:38 jupiter cupsd[6547]: *** WARNING *** The program 'cupsd' uses the Apple Bonjour compatibility layer of Avahi.
Nov 16 10:52:38 jupiter cupsd[6547]: *** WARNING *** Please fix your application to use the native API of Avahi!
Nov 16 10:52:38 jupiter cupsd[6547]: *** WARNING *** For more information see <http://0pointer.de/avahi-compat?s=libdns_sd&e=cupsd>


-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-2-k7 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8 at euro, LC_CTYPE=de_DE.UTF-8 at euro (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages cupsys depends on:
ii  adduser               3.105              add and remove users and groups
ii  cupsys-common         1.3.2-1+lenny1     Common UNIX Printing System(tm) - 
ii  debconf [debconf-2.0] 1.5.16             Debian configuration management sy
ii  gs-esp                8.15.3.dfsg.1-1    The Ghostscript PostScript interpr
ii  libavahi-compat-libdn 0.6.21-2           Avahi Apple Bonjour compatibility 
ii  libc6                 2.6.1-1+b1         GNU C Library: Shared libraries
ii  libcupsimage2         1.3.2-1+lenny1     Common UNIX Printing System(tm) - 
ii  libcupsys2            1.3.2-1+lenny1     Common UNIX Printing System(tm) - 
ii  libdbus-1-3           1.1.1-3            simple interprocess messaging syst
ii  libgnutls13           2.0.1-1            the GNU TLS library - runtime libr
ii  libkrb53              1.6.dfsg.3~beta1-2 MIT Kerberos runtime libraries
ii  libldap2              2.1.30.dfsg-13.5   OpenLDAP libraries
ii  libpam0g             Pluggable Authentication Modules l
ii  libpaper1             1.1.23             library for handling paper charact
ii  libslp1               1.2.1-6.2          OpenSLP libraries
ii  lsb-base              3.1-24             Linux Standard Base 3.1 init scrip
ii  perl-modules          5.8.8-11.1+lenny1  Core Perl modules
ii  procps                1:3.2.7-5          /proc file system utilities
ii  ssl-cert              1.0.14             Simple debconf wrapper for openssl
ii  xpdf-utils [poppler-u 3.02-1.2           Portable Document Format (PDF) sui

Versions of packages cupsys recommends:
ii  cups-pdf              2.4.6-4            PDF printer for CUPS
ii  cupsys-client         1.3.2-1+lenny1     Common UNIX Printing System(tm) - 
ii  foomatic-filters      3.0.2-20061031-1.2 linuxprinting.org printer support 
ii  smbclient             3.0.26a-1          a LanManager-like simple client fo

-- debconf information:
  cupsys/raw-print: true
  cupsys/ports: 631
  cupsys/backend: ipp, lpd, parallel, socket, usb
  cupsys/browse: true

"Ich habe eine Maschine erfunden, die den Kommerz aus Weihnachten
entfernt." -- "Lass uns ganz viele davon bauen und für viel Geld
-- http://www.nichtlustig.de/toondb/021220.html
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: Digital signature
Url : http://lists.alioth.debian.org/pipermail/pkg-cups-devel/attachments/20071116/f4f1790c/attachment.pgp 

More information about the Pkg-cups-devel mailing list